Aliases - List
Lists all aliases available for a search service.
GET {endpoint}/aliases?api-version=2026-10-01
GET {endpoint}/aliases?api-version=2026-10-01&search={search}&pageSize={pageSize}&searchType=prefix
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (uri) |
The endpoint URL of the search service. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
page
|
query |
integer (int32) minimum: 1maximum: 3000 |
The maximum number of items to return in a single page. The server enforces a maximum; if omitted, the server determines a suitable default. |
|
|
search
|
query |
string |
A string used to narrow down the listing so that fewer results need to be paged through. If omitted or an empty string is passed, no narrowing is applied. |
|
|
search
|
query |
Specifies how the search parameter is interpreted. Currently only 'prefix' is supported. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
An opaque, globally-unique, client-generated string identifier for the request. |
|
| Accept |
The Accept header. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
api-key
Type:
apiKey
In:
header
OAuth2Auth
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/v2.0/authorize
Scopes
| Name | Description |
|---|---|
| https://search.azure.com/.default |
Examples
SearchServiceListAliases
Sample request
GET https://typespecstableexampleservice.search.windows.net/aliases?api-version=2026-10-01&search=&pageSize=&searchType=prefix
Sample response
{
"value": [
{
"name": "myalias",
"indexes": [
"stable-test"
]
}
]
}
Definitions
| Name | Description |
|---|---|
| Accept |
The Accept header. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.). |
|
List |
Response from a List Aliases request. If successful, it includes the associated index mappings for all aliases. |
|
Listing |
Specifies how the search parameter is interpreted when narrowing down a listing result set. Currently only 'prefix' is supported. |
|
Search |
Represents an index alias, which describes a mapping from the alias name to an index. The alias name can be used in place of the index name for supported operations. |
Accept
The Accept header.
| Value | Description |
|---|---|
| application/json;odata.metadata=minimal |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
searchservice.aliases.list |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ListAliasesResult
Response from a List Aliases request. If successful, it includes the associated index mappings for all aliases.
| Name | Type | Description |
|---|---|---|
| @odata.nextLink |
string |
The URL that can be used to fetch the next set of results. |
| value |
The aliases in the Search service. |
ListingSearchType
Specifies how the search parameter is interpreted when narrowing down a listing result set. Currently only 'prefix' is supported.
| Value | Description |
|---|---|
| prefix |
Matches items whose name starts with the value of the search parameter. |
SearchAlias
Represents an index alias, which describes a mapping from the alias name to an index. The alias name can be used in place of the index name for supported operations.
| Name | Type | Description |
|---|---|---|
| @odata.etag |
string |
The ETag of the alias. |
| indexes |
string[] |
The name of the index this alias maps to. Only one index name may be specified. |
| name |
string |
The name of the alias. |